#include "i2c.h"
#include "time_base.h"
#include "uart.h"
#include "stdio.h"
#include "AT24C32.h"

uint8_t data_read;

uint8_t data_write=20;

uint16_t address=100;


int main(void)
{
	Ticks_Init(16000000);

	uart2_rxtx_init();

	i2c_init();

	AT24C32_WriteByte(address,data_write);

	printf("Data written to address %d is %d \r\n",address,data_write);

	AT24C32_ReadByte(address,&data_read);

	printf("Data read from address %d is %d \r\n",address,data_read);



	while(1)
	{
	}

}
